org.richfaces.ui.input.inputNumberSpinner

## Enum UIInputNumberSpinner.Properties

- java.lang.Object
- - java.lang.Enum<UIInputNumberSpinner.Properties>
  - - org.richfaces.ui.input.inputNumberSpinner.UIInputNumberSpinner.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIInputNumberSpinner.Properties>
  Enclosing class:
    UIInputNumberSpinner

      protected static enum UIInputNumberSpinner.Properties
      extends Enum<UIInputNumberSpinner.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `binding`
    `cycled`
    `dir`
    `disabled`
    `enableManualInput`
    `id`
    `inputClass`
    `inputPosition`
    `inputSize`
    `label`
    `lang`
    `maxValue`
    `minValue`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `ondownclick`
    `onfocus`
    `oninputclick`
    `oninputdblclick`
    `oninputkeydown`
    `oninputkeypress`
    `oninputkeyup`
    `oninputmousedown`
    `oninputmousemove`
    `oninputmouseout`
    `oninputmouseover`
    `oninputmouseup`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `onupclick`
    `readonly`
    `rendered`
    `step`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIInputNumberSpinner.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIInputNumberSpinner.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final UIInputNumberSpinner.Properties accesskey

    - #### binding

          public static final UIInputNumberSpinner.Properties binding

    - #### cycled

          public static final UIInputNumberSpinner.Properties cycled

    - #### dir

          public static final UIInputNumberSpinner.Properties dir

    - #### disabled

          public static final UIInputNumberSpinner.Properties disabled

    - #### enableManualInput

          public static final UIInputNumberSpinner.Properties enableManualInput

    - #### id

          public static final UIInputNumberSpinner.Properties id

    - #### inputClass

          public static final UIInputNumberSpinner.Properties inputClass

    - #### inputPosition

          public static final UIInputNumberSpinner.Properties inputPosition

    - #### inputSize

          public static final UIInputNumberSpinner.Properties inputSize

    - #### label

          public static final UIInputNumberSpinner.Properties label

    - #### lang

          public static final UIInputNumberSpinner.Properties lang

    - #### maxValue

          public static final UIInputNumberSpinner.Properties maxValue

    - #### minValue

          public static final UIInputNumberSpinner.Properties minValue

    - #### onblur

          public static final UIInputNumberSpinner.Properties onblur

    - #### onchange

          public static final UIInputNumberSpinner.Properties onchange

    - #### onclick

          public static final UIInputNumberSpinner.Properties onclick

    - #### ondblclick

          public static final UIInputNumberSpinner.Properties ondblclick

    - #### ondownclick

          public static final UIInputNumberSpinner.Properties ondownclick

    - #### onfocus

          public static final UIInputNumberSpinner.Properties onfocus

    - #### oninputclick

          public static final UIInputNumberSpinner.Properties oninputclick

    - #### oninputdblclick

          public static final UIInputNumberSpinner.Properties oninputdblclick

    - #### oninputkeydown

          public static final UIInputNumberSpinner.Properties oninputkeydown

    - #### oninputkeypress

          public static final UIInputNumberSpinner.Properties oninputkeypress

    - #### oninputkeyup

          public static final UIInputNumberSpinner.Properties oninputkeyup

    - #### oninputmousedown

          public static final UIInputNumberSpinner.Properties oninputmousedown

    - #### oninputmousemove

          public static final UIInputNumberSpinner.Properties oninputmousemove

    - #### oninputmouseout

          public static final UIInputNumberSpinner.Properties oninputmouseout

    - #### oninputmouseover

          public static final UIInputNumberSpinner.Properties oninputmouseover

    - #### oninputmouseup

          public static final UIInputNumberSpinner.Properties oninputmouseup

    - #### onkeydown

          public static final UIInputNumberSpinner.Properties onkeydown

    - #### onkeypress

          public static final UIInputNumberSpinner.Properties onkeypress

    - #### onkeyup

          public static final UIInputNumberSpinner.Properties onkeyup

    - #### onmousedown

          public static final UIInputNumberSpinner.Properties onmousedown

    - #### onmousemove

          public static final UIInputNumberSpinner.Properties onmousemove

    - #### onmouseout

          public static final UIInputNumberSpinner.Properties onmouseout

    - #### onmouseover

          public static final UIInputNumberSpinner.Properties onmouseover

    - #### onmouseup

          public static final UIInputNumberSpinner.Properties onmouseup

    - #### onselect

          public static final UIInputNumberSpinner.Properties onselect

    - #### onupclick

          public static final UIInputNumberSpinner.Properties onupclick

    - #### readonly

          public static final UIInputNumberSpinner.Properties readonly

    - #### rendered

          public static final UIInputNumberSpinner.Properties rendered

    - #### step

          public static final UIInputNumberSpinner.Properties step

    - #### style

          public static final UIInputNumberSpinner.Properties style

    - #### styleClass

          public static final UIInputNumberSpinner.Properties styleClass

    - #### tabindex

          public static final UIInputNumberSpinner.Properties tabindex

    - #### title

          public static final UIInputNumberSpinner.Properties title

  - ### Method Detail

    - #### values

          public static UIInputNumberSpinner.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIInputNumberSpinner.Properties c : UIInputNumberSpinner.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIInputNumberSpinner.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.